Subject: Re: 2.6.23-rc8 dies somewhere during boot!?

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 28 Sep 2007 08:39:43 +1000

On Fri, 2007-09-28 at 00:27 +0200, Gerhard Pircher wrote:
> -------- Original-Nachricht --------
> > Datum: Thu, 27 Sep 2007 17:20:07 -0500
> > Von: [email-masked]
> > An: Gerhard Pircher <[email-masked]>
> > CC: [email-masked]
> > Betreff: Re: 2.6.23-rc8 dies somewhere during boot!?
> 
> > On Thu, Sep 27, 2007 at 11:57:35PM +0200, Gerhard Pircher wrote:
> > 
> > The last identifiable message I was
> > 
> > <7>PCI: Calling quirk...
> > 
> > which is from drivers/pci/quirks.c
> > 
> > ...CI: Found 0000:00:07.2 [1106/303...
> > 
> > and this is from pci_setup_device() in drivers/pci/probe.c  So I'd look
> > to see if pci_setup_device() ever returned, and then I'd look to see
> > what happened next.
> Ah, I thought probing is done in the architecture's PCI code. I'll take
> a look at pci_setup_device() function.

It's one of the quirks I suppose. Those are often full of x86 only
bogoziness that hurts everybody else if you happen to hit them.

The "late" quirks are called at pci_enable_device() time.

Ben